LAG · 4 Gbit/sflow B ≤ 1 Gbit/sLAG · 3 Gbit/s212341hash0x18 → link 1D → link 1ABCD
Envelopes: frames; the seal colour shows which flow (PC) they belong toYellow tie: the cables bundled into one link, with its speedCross: blocked by spanning tree, or unplugged · Check: forwardingTwo switches joined by four 1 Gbit/s links. LACP (IEEE 802.1AX) bundles them into one 4 Gbit/s logical link that spanning tree does not block. A hash of header fields keeps each flow on one link, so its frames stay in order and one flow never exceeds 1 Gbit/s. When link 3 is unplugged the bundle drops to 3 Gbit/s and only the flow that used it moves. IPs are from the private range 192.168.1.0/24 (RFC 1918), MACs from the RFC 7042 documentation block, source ports from the dynamic range 49152-65535 (RFC 6335). Frames cross a link in microseconds; the figure slows everything down so you can watch.

Spare cables

  1. Switch 1 and Switch 2 are joined by four Ethernet cables, each carrying 1 Gbit/s (a billion bits per second). Why four? A single cable caps everything between the switches at 1 Gbit/s, and if it breaks, the two sides are cut off.

Bundling

Spreading flows

A cable fails

Inside the switches

;; step 1/10 · two-switches · idle
Switch 1 ⇄ Switch 2
links 1-4   1000BASE-T, 1 Gbit/s each, full duplex (IEEE 802.3 clause 40)
PCs A-D     on Switch 1
server      192.168.1.50 on Switch 2

The hash shown (XOR of the IP address and port bytes, 8 buckets) is an example. IEEE 802.1AX leaves the formula to each maker; it only requires that one conversation stays on one link. Each switch hashes the frames it sends, so the reply traffic of a flow may use a different cable from the request traffic.